This repository has been archived by the owner. It is now read-only.
Permalink
Browse files

Merge pull request #68 from alphagov/upgrade_rails

Upgrade to Rails 3.2.13
  • Loading branch information...
jamiecobbett committed Mar 19, 2013
2 parents 9b37baa + 0a5ae8c commit e6f9bd8a3f3bf52126c88dc57ec6b15fd5c32a15
Showing with 37 additions and 37 deletions.
  1. +2 −2 Gemfile
  2. +34 −34 Gemfile.lock
  3. +1 −1 test/test_helper.rb
View
@@ -15,7 +15,7 @@ gem 'router-client', "3.1.0"
gem 'aws-ses', require: 'aws/ses'
-gem 'rails', '3.2.11'
+gem 'rails', '3.2.13'
gem 'unicorn', '4.3.1'
gem 'less-rails-bootstrap'
@@ -67,7 +67,7 @@ group :test do
gem 'factory_girl_rails'
gem 'capybara-mechanize', '~> 0.3.0.rc3'
gem 'launchy'
- gem 'mocha'
+ gem 'mocha', '0.13.3', :require => false
gem 'webmock', require: false
end
View
@@ -20,32 +20,32 @@ GEM
remote: https://BnrJb6FZyzspBboNJzYZ@gem.fury.io/govuk/
specs:
PriorityQueue (0.1.2)
- actionmailer (3.2.11)
- actionpack (= 3.2.11)
- mail (~> 2.4.4)
- actionpack (3.2.11)
- activemodel (= 3.2.11)
- activesupport (= 3.2.11)
+ actionmailer (3.2.13)
+ actionpack (= 3.2.13)
+ mail (~> 2.5.3)
+ actionpack (3.2.13)
+ activemodel (= 3.2.13)
+ activesupport (= 3.2.13)
builder (~> 3.0.0)
erubis (~> 2.7.0)
journey (~> 1.0.4)
- rack (~> 1.4.0)
+ rack (~> 1.4.5)
rack-cache (~> 1.2)
rack-test (~> 0.6.1)
sprockets (~> 2.2.1)
- activemodel (3.2.11)
- activesupport (= 3.2.11)
+ activemodel (3.2.13)
+ activesupport (= 3.2.13)
builder (~> 3.0.0)
- activerecord (3.2.11)
- activemodel (= 3.2.11)
- activesupport (= 3.2.11)
+ activerecord (3.2.13)
+ activemodel (= 3.2.13)
+ activesupport (= 3.2.13)
arel (~> 3.0.2)
tzinfo (~> 0.3.29)
- activeresource (3.2.11)
- activemodel (= 3.2.11)
- activesupport (= 3.2.11)
- activesupport (3.2.11)
- i18n (~> 0.6)
+ activeresource (3.2.13)
+ activemodel (= 3.2.13)
+ activesupport (= 3.2.13)
+ activesupport (3.2.13)
+ i18n (= 0.6.1)
multi_json (~> 1.0)
addressable (2.3.2)
ansi (1.4.3)
@@ -133,7 +133,7 @@ GEM
hike (1.2.1)
htmlentities (4.3.1)
httpauth (0.2.0)
- i18n (0.6.4)
+ i18n (0.6.1)
journey (1.0.4)
jquery-rails (2.0.2)
railties (>= 3.2.0, < 5.0)
@@ -163,7 +163,7 @@ GEM
activesupport
lrucache (0.1.4)
PriorityQueue (~> 0.1.2)
- mail (2.4.4)
+ mail (2.5.3)
i18n (>= 0.4.0)
mime-types (~> 1.16)
treetop (~> 1.4.8)
@@ -178,7 +178,7 @@ GEM
metaclass (0.0.1)
mime-types (1.21)
minitest (3.3.0)
- mocha (0.12.3)
+ mocha (0.13.3)
metaclass (~> 0.0.1)
mongo (1.6.2)
bson (~> 1.6.2)
@@ -191,7 +191,7 @@ GEM
bundler (>= 1.0.0)
rails (>= 3.2.0)
railties (>= 3.2.0)
- multi_json (1.6.1)
+ multi_json (1.7.1)
multipart-post (1.2.0)
net-http-digest_auth (1.2.1)
net-http-persistent (2.7)
@@ -225,17 +225,17 @@ GEM
rack
rack-test (0.6.2)
rack (>= 1.0)
- rails (3.2.11)
- actionmailer (= 3.2.11)
- actionpack (= 3.2.11)
- activerecord (= 3.2.11)
- activeresource (= 3.2.11)
- activesupport (= 3.2.11)
+ rails (3.2.13)
+ actionmailer (= 3.2.13)
+ actionpack (= 3.2.13)
+ activerecord (= 3.2.13)
+ activeresource (= 3.2.13)
+ activesupport (= 3.2.13)
bundler (~> 1.0)
- railties (= 3.2.11)
- railties (3.2.11)
- actionpack (= 3.2.11)
- activesupport (= 3.2.11)
+ railties (= 3.2.13)
+ railties (3.2.13)
+ actionpack (= 3.2.13)
+ activesupport (= 3.2.13)
rack-ssl (~> 1.3.2)
rake (>= 0.8.7)
rdoc (~> 3.4)
@@ -278,7 +278,7 @@ GEM
therubyracer (0.9.10)
libv8 (~> 3.3.10)
thor (0.17.0)
- tilt (1.3.5)
+ tilt (1.3.6)
treetop (1.4.12)
polyglot
polyglot (>= 0.3.1)
@@ -333,15 +333,15 @@ DEPENDENCIES
less-rails-bootstrap
lograge (~> 0.1.0)
minitest
- mocha
+ mocha (= 0.13.3)
mongo (= 1.6.2)
mongoid (~> 2.4.2)
mongoid_rails_migrations (= 1.0.0)
nokogiri
null_logger
plek (= 1.3.1)
quiet_assets
- rails (= 3.2.11)
+ rails (= 3.2.13)
router-client (= 3.1.0)
rummageable (~> 0.3.0)
shoulda (~> 2.11.3)
View
@@ -12,7 +12,7 @@
require File.expand_path('../../config/environment', __FILE__)
require 'rails/test_help'
-require 'mocha'
+require 'mocha/setup'
require 'webmock/minitest'
require 'govuk_content_models/test_helpers/factories'

0 comments on commit e6f9bd8

Please sign in to comment.